Name:		ibp
Version:	0.21
Release:	2%{?dist}
Summary:	A tool to show which IBP beacons are transmitting

Group:		Applications/Communications
License:	GPLv2
URL:		http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp.html
Source0:	http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp-0.21.tgz
Source1:	ibp.desktop
Source2:	ibp.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	imake, ncurses-devel, libX11-devel, desktop-file-utils
#Requires:	

%description
The International Beacon Project is a set of 18 amateur (ham) radio
transmitters around the world, each of which transmit every 3 minutes on a set
of 5 short-wave frequencies. This allows short-wave radio users to quickly
assess the current worldwide propagation conditions.
Much more information can be found on http://www.ncdxf.org/beacons.html


%prep
%setup -q
xmkmf


%build
make -e CFLAGS="%{optflags}" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
install -m 755 -p ibp %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
gzip ibp.1
install -m 644 -p ibp.1.gz %{buildroot}%{_mandir}/man1
# no upstream .desktop or icon yet
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/ibp
%{_mandir}/man1/ibp.1.gz
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Lucian Langa <cooly@gnome.eu.org> - 0.21-1
- initial specfile


